KWIN_DRAW_CACHED_IMAGE(3)

FUNCTION
kwin_draw_cached_image - Draw cached image to a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_draw_cached_image

(KPixCanvasImageCache cache, int x_off, int y_off)

DESCRIPTION
This routine will draw a previously computed image cache data (computed by <-kwin_draw_pc_image->) onto the canvas on which the original image was drawn.

cache
    The cache data.

x_off
    The horizontal offset, relative to the top-left corner of the canvas.

y_off
    The vertical offset, relative to the top-left corner of the canvas.

RETURN VALUE
TRUE on success if there is valid cache data, else FALSE indicating that the image must be recomputed and drawn using <-kwin_draw_pc_image->.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/